MyGUI 3.2.2

Public Member Functions
MyGUI::delegates::IDelegate1< TP1 > Class Template Referenceabstract

`#include <MyGUI_Delegate.h>`

Inheritance diagram for MyGUI::delegates::IDelegate1< TP1 >:
[legend]

## Public Member Functions
virtual | ~ IDelegate1 ()
virtual bool | isType (const std::type_info &_type)=0
virtual void | invoke (TP1 p1)=0
virtual bool | compare (IDelegate1< TP1 > *_delegate) const =0
virtual bool | compare (IDelegateUnlink *_unlink) const

## Detailed Description

### template<typename TP1>
class MyGUI::delegates::IDelegate1< TP1 >

Definition at line 25 of file MyGUI_Delegate.h.

## Constructor & Destructor Documentation

## ◆ ~ IDelegate1()

template<typename TP1 >

virtual MyGUI::delegates::IDelegate1< TP1 >::~ IDelegate1 | ( |  | ) |
| inline virtual

Definition at line 28 of file MyGUI_Delegate.h.

## Member Function Documentation

## ◆ compare() [1/2]

template<typename TP1 >

virtual bool MyGUI::delegates::IDelegate1< TP1 >::compare | ( | IDelegate1< TP1 > * | _delegate | ) | const
| pure virtual

Implemented in MyGUI::delegates::CMethodDelegate1< T, TP1 >, and MyGUI::delegates::CStaticDelegate1< TP1 >.

## ◆ compare() [2/2]

template<typename TP1 >

virtual bool MyGUI::delegates::IDelegate1< TP1 >::compare | ( | IDelegateUnlink * | _unlink | ) | const
| inline virtual

Reimplemented in MyGUI::delegates::CMethodDelegate1< T, TP1 >, and MyGUI::delegates::CStaticDelegate1< TP1 >.

Definition at line 32 of file MyGUI_Delegate.h.

## ◆ invoke()

template<typename TP1 >

virtual void MyGUI::delegates::IDelegate1< TP1 >::invoke | ( | TP1 | p1 | ) |
| pure virtual

Implemented in MyGUI::delegates::CMethodDelegate1< T, TP1 >, and MyGUI::delegates::CStaticDelegate1< TP1 >.

## ◆ isType()

template<typename TP1 >

virtual bool MyGUI::delegates::IDelegate1< TP1 >::isType | ( | const std::type_info & | _type | ) |
| pure virtual

Implemented in MyGUI::delegates::CMethodDelegate1< T, TP1 >, and MyGUI::delegates::CStaticDelegate1< TP1 >.

The documentation for this class was generated from the following file:

- MyGUI_Delegate.h